Up

# NSAffineTransform.m

### Authors

Ovidiu Predescu (`ovidiu@net-community.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)

> This class provides a way to perform affine transforms. It provides a matrix for transforming from one coordinate system to another.

Copyright: (C) 1996,1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSAffineTransform(GNUstep) category
2. Software documentation for the NSAffineTransform(GUIAdditions) category

# Software documentation for the NSAffineTransform(GNUstep) category

## NSAffineTransform(GNUstep)

> Declared in:
>   AppKit/NSAffineTransform.h

Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.
Method summary

- -boundingRectFor:result:
- -concatenateWith:
- -concatenateWithMatrix:
- -deltaPointInMatrixSpace:
- -getMatrix:
- -inverse
- -isRotated
- -makeIdentityMatrix
- -pointInMatrixSpace:
- -rectInMatrixSpace:
- -rotationAngle
- -scaleTo::
- -setFrameOrigin:
- -setFrameRotation:
- -setMatrix:
- -sizeInMatrixSpace:
- -takeMatrixFromTransform:
- -translateToPoint:

### boundingRectFor: result:

- (void) boundingRectFor: (NSRect)rect result: (NSRect*)newRect;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### concatenateWith:

- (void) concatenateWith: (NSAffineTransform*)anotherMatrix;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### concatenateWithMatrix:

- (void) concatenateWithMatrix: (const float[6])anotherMatrix;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### deltaPointInMatrixSpace:

- (NSPoint) deltaPointInMatrixSpace: (NSPoint)point;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### getMatrix:

- (void) getMatrix: (float[6])replace;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### inverse

- (void) inverse;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### isRotated

- (BOOL) isRotated;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### makeIdentityMatrix

- (void) makeIdentityMatrix;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### pointInMatrixSpace:

- (NSPoint) pointInMatrixSpace: (NSPoint)point;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### rectInMatrixSpace:

- (NSRect) rectInMatrixSpace: (NSRect)rect;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### rotationAngle

- (float) rotationAngle;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### scaleTo: :

- (void) scaleTo: (float)sx : (float)sy;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### setFrameOrigin:

- (void) setFrameOrigin: (NSPoint)point;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### setFrameRotation:

- (void) setFrameRotation: (float)angle;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### setMatrix:

- (void) setMatrix: (const float[6])replace;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### sizeInMatrixSpace:

- (NSSize) sizeInMatrixSpace: (NSSize)size;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### takeMatrixFromTransform:

- (void) takeMatrixFromTransform: (NSAffineTransform*)aTransform;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

### translateToPoint:

- (void) translateToPoint: (NSPoint)point;
Availability: Not in OpenStep/MacOS-X, Gui Likely to be changed/moved/removed at 1.15.0
Description forthcoming.

# Software documentation for the NSAffineTransform(GUIAdditions) category

## NSAffineTransform(GUIAdditions)

> Declared in:
>   AppKit/NSAffineTransform.h

Availability: OpenStep
Description forthcoming.
Method summary

- -concat
- -set
- -transformBezierPath:

### concat

- (void) concat;
Availability: OpenStep
Concatenates the receiver's matrix with the one in the current graphics context.

### set

- (void) set;
Availability: OpenStep
Get the currently active graphics context's transformation matrix and set it into the receiver.

### transformBezierPath:

- (NSBezierPath*) transformBezierPath: (NSBezierPath*)aPath;
Availability: OpenStep

Applies the receiver's transformation matrix to each point in the bezier path, then returns the result. The original bezier path is not modified.

Up